#ifndef XSTATEMENT_H
#define XSTATEMENT_H

#include "xasset.h"
#include "xexpressionentry.h"

#include <QVector>

class XStatement : public XAsset
{
public:
    explicit XStatement();
    ~XStatement();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    int mNumEntries;
    QVector<XExpressionEntry*> mEntries;
};

#endif // XSTATEMENT_H
